<?php
/*
Plugin Name: TipJoy Widget
Plugin URI: http://www.KnightKnetwork.com/TipJoyWidget
Version: 0.2
Author: <a href="http://www.KnightKnetwork.com/">David Knight</a>
Description: Put A <a href="http://www.tipjoy.com">TipJoy</a> banner on your sidebar. 
*/
function tipjoy_sidebar_init(){
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
        return;

	function tipjoy_sidebar_banner($args){
		extract($args);
		
		$tipJoyOptions = get_option('tipJoy_sidebar');
        $title = empty($tipJoyOptions['title']) ? 'none' : $tipJoyOptions['title'];
        $tipjoyID = empty($tipJoyOptions['tipjoyID']) ? '' : $tipJoyOptions['tipjoyID']; 
		
		echo $before_widget;
		if ($title != 'none'){
			echo $before_title
		                . $title
		                . $after_title;
		}
		?>
		<iframe src="http://tipjoy.com/bannerButton/?type=standardShort&targetUser=<?php echo $tipjoyID ?>&targetUrl=<?php bloginfo('url'); ?>" 
				style="padding:0em;" 
				height="60px" 
				width="234px"  
				marginwidth="0" 
				marginheight="0" 
				hspace="0" 
				vspace="0" 
				frameborder="0"
				scrolling="no" 
				allowtransparency="true" >
		</iframe>
		<?php echo $after_widget;
	} // end  tipjoy_sidebar_banner
	
	function tipjoy_sidebar_control() {

		$options = get_option('tipjoy_sidebar');

        // This is for handing the control form submission.
        if ( $_POST['tipjoy-submit'] ) {
            // Clean up control form submission options
            $newoptions['title'] = strip_tags(stripslashes($_POST['tipjoy-title']));
            $newoptions['tipjoyID'] = strip_tags(stripslashes($_POST['tipjoy-ID']));
	        // If original widget options do not match control form
	        // submission options, update them.
	        if ( $options != $newoptions ) {
	            $options = $newoptions;
	            update_option('tipjoy_sidebar', $options);
	        }

        }

        // Format options as valid HTML. Hey, why not.
        $title = htmlspecialchars($options['title'], ENT_QUOTES);
        $tipjoyID = htmlspecialchars($options['tipjoyID'], ENT_QUOTES);

// The HTML below is the control form for editing options.
?>
        <div>
			<label for="tipjoy-title" style="line-height:35px;display:block;">TipJoy Widget title: <input type="text" id="tipjoy-title" name="tipjoy-title" value="<?php echo $title; ?>" /></label>
			<label for="tipjoy-ID" style="line-height:35px;display:block;">TipJoy ID: <input type="text" id="tipjoy-ID" name="tipjoy-ID" value="<?php echo $tipjoyID; ?>" /></label>
			<input type="hidden" name="tipjoy-submit" id="tipjoy-submit" value="1" />
        </div>
		<?php
	} // end of widget_mywidget_control() 
	
	register_sidebar_widget('TipJoy Badge', 'tipjoy_sidebar_banner');
	register_widget_control('TipJoy Badge', 'tipjoy_sidebar_control');
}
add_action('plugins_loaded', 'tipjoy_sidebar_init');
?>